Starmade | NPC's (Outcasts) lose control of a system all players are kicked from the server
Closed, FinishedPublic

Description

Players attacking the NPC Outcasts.
When the NPC's are forced to give up control of the system every player gets kicked without fail.logstarmadeServer.0.log540 KB

logstarmade.0.log880 KB

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Multiplayer
Reproducible
Yes
Last tested (version)
0.199.416
Category
Engine
First occurrence (version)
0.199.402
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

Destroy enough NPC assets to force them to give up control of the system they own.

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Phocian created this task.Jan 7 2017, 11:00 PM
lancake claimed this task.Jan 26 2017, 1:01 PM
lancake triaged this task as "Urgent" priority.
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake added a subscriber: lancake.

-confirmed-

and should also be resolved now. I couldn't reliably reproduce so I can't close this one with certainty. Might need to wait for actual release to see if it fixes the issue or not.

Restricted Application added a subscriber: AndyP. · View Herald TranscriptJan 26 2017, 1:01 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.Jan 26 2017, 1:02 PM
lancake changed the task status from "Open" to "In Queue (Game)".
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Last tested (version) to 0.199.416.
lancake set First occurrence (version) to 0.199.402.
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJan 26 2017, 1:02 PM
lancake changed the task status from "In Queue (Game)" to "Resolved".Jan 26 2017, 1:02 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJan 26 2017, 1:02 PM
lancake closed this task as "Closed".Feb 7 2017, 1:56 PM

-QA Testing-

Tested it out but forgot to close it.

Restricted Application removed a project: Quality Assurance. · View Herald TranscriptFeb 7 2017, 1:56 PM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 5:42 PM
AndyP moved this task from Unclassed to Archived on the Starmade board.Apr 28 2017, 8:39 AM